type: prog

niveau: base

titre: Statistiques symboles

objectif: Déterminer le nombre de lettres alphabétiques, de chiffres et d'espaces dans un texte

énoncé: |
  On souhaite compter le nombre de __lettres alphabétiques__, de __chiffres__ et d'__espaces__ contenus dans le `texte` d'une chaine de caractères reçue en entrée.

  ### Entrée
  - `texte` (chaine de caractères)

  ### Sortie attendue

  le nombre de lettres, de chiffres et d'espaces contenus dans `texte` (nombres entiers)


  ### À faire

  Compléter le code pour produire en sortie le nombre de **lettres, de chiffres et d'espaces** contenus dans `texte`, dans cet ordre, chacun sur une ligne.

  ### Exemples

  1. Texte sans chiffre

   - Entrées :
  ```
      La maison du coin

  ```

   - Sortie attendue :

  ```
      14
      0
      3

  ```

  2. Texte complet

   - Entrées :
  ```
      20 rue de l'école

  ```

   - Sortie attendue :
  ```
      11
      2
      3

  ```

ébauches:
    python: !include exec.py
    java: !include exec.java
    kotlin: !include exec.kt


rétroactions:
    positive: Bravo !
    négative: Parcourir la chaine pour compter les symboles en utilisant les compteurs dans une sélective

tests: !include tests.yml

auteur: Wafaa Niar Dinedane / Patrick Lafrance
licence: 2021 CC-BY-SA
uuid: e7b02bfc-3560-40c5-95a7-ebf8113dc3c0

